commit 66996076495c6cb0f369d4a082180d465ea8c35e
Author: freddy77 <freddy77>
Date:   Mon Feb 4 07:55:39 2008 +0000

    fix silly memory leak

diff --git b/ChangeLog a/ChangeLog
index 2441480..b0130db 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,6 +1,3 @@
-Mon Feb 04 08:54:29 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/tds/convert.c: fix memory leak
-
 Tue Jan 29 11:12:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/convert_tds2sql.c src/odbc/odbc.c src/odbc/odbc_util.c:
 	* src/odbc/unittests/getdata.c:
@@ -74,4 +71,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.15 2008/02/04 07:55:39 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.14 2008/01/29 10:14:23 freddy77 Exp $
diff --git b/src/tds/convert.c a/src/tds/convert.c
index fa03c47..fa8dbd1 100644
--- b/src/tds/convert.c
+++ a/src/tds/convert.c
@@ -64,7 +64,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert.c,v 1.179.2.1 2008/02/04 07:55:39 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert.c,v 1.179 2007/12/31 10:06:50 freddy77 Exp $");
 
 typedef unsigned short utf16_t;
 
@@ -1958,7 +1958,6 @@ string_to_datetime(const char *instr, int desttype, CONV_RESULT * cr)
 
 			tdsdump_log(TDS_DBG_INFO1,
 				    "error_handler:  Attempt to convert data stopped by syntax error in source field \n");
-			free(in);
 			return TDS_CONVERT_SYNTAX;
 		}
 

